Skip to main content
PATCH
Update Webhook

Path Parameters

app_id
string
required

The ID of the app

webhook_id
string
required

The ID of the webhook

Body

The new webhook data.

Data to update an existing webhook

url
string<uri>

URL to which the webhook will send POST requests

Example:

"https://example.com/webhook"

events
enum<string>[]

List of events that trigger the webhook

Type of the webhook event

Available options:
record.created,
record.running,
record.completed,
record.failed
Example:

Response

200 - application/json

The updated webhook.

Detailed information about a webhook

id
string
required

Unique identifier for the webhook

url
string<uri>
required

URL to which the webhook will send POST requests

Example:

"https://example.com/webhook"

created_at
string<date> | null
required

Timestamp when the webhook was created

updated_at
string<date> | null
required

Timestamp when the webhook was last updated

events
enum<string>[]
required

List of events that trigger the webhook

Type of the webhook event

Available options:
record.created,
record.running,
record.completed,
record.failed
Example: